      PROGRAM SUMTEST

*  Externe Funktionen, die aufgerufen werden
      DOUBLE PRECISION DSUM

*  Wo wird I und X im Speicher abgelegt?
      INTEGER          I
      DOUBLE PRECISION X(10), ALPHA

*  Vektor X mit etwas pseudo wichtigem initialisieren
      DO 10 I = 1, 10
          X(I) = I ** 2
   10 CONTINUE

      WRITE (*,*) 'X =', X

      ALPHA = DSUM(10, X, 1)
      WRITE (*,*) 'ALPHA = DSUM(10, X, 1) =', ALPHA

      ALPHA = DSUM(5, X, 2)
      WRITE (*,*) 'ALPHA = DSUM(5, X, 2) =', ALPHA

      ALPHA = DSUM(5, X(2), 2)
      WRITE (*,*) 'ALPHA = DSUM(5, X(2), 2) =', ALPHA

      END
